#include <sstream>

#define FRC_NO_ICU 1
#include "FRC.h"

#include "file.h"

namespace files {

std::vector<std::pair<std::string, long long>> readWords(const std::string& fileContents)
{
	std::istringstream in{fileContents};
	std::vector<std::pair<std::string, long long>> out;
	while (in) {
		std::pair<std::string, long long> tmp;
		std::getline(in, tmp.first, '\t');
		in>>tmp.second;
		in.ignore(1, '\n');
		if (tmp.first.length() > 1)
			out.push_back(tmp);
	}
	return out;
}

}
